{{ define "main" }}
	<div class="row flex-xl-nowrap">
		<div class="col-lg-5 col-xl-4 docs-sidebar{{ if ne .Site.Params.options.navbarSticky true }} docs-sidebar-top{{ end }} d-none d-lg-block">
			<nav {{ if eq .Site.Params.menu.section.collapsibleSidebar false }}id="sidebar-default" {{ end }}class="docs-links" aria-label="Main navigation">
				{{ partial "sidebar/docs-menu.html" . }}
			</nav>
		</div>
		{{ if ne .Params.toc false -}}
		<nav class="docs-toc{{ if ne .Site.Params.options.navbarSticky true }} docs-toc-top{{ end }} d-none d-xl-block col-xl-3" aria-label="Secondary navigation">
			{{ partial "sidebar/docs-toc.html" . }}
		</nav>
		{{ end -}}
		{{ if .Params.toc -}}
		<main class="docs-content col-lg-11 col-xl{{ if eq .Site.Params.options.fullWidth false }}-9{{ end }}">
		{{ else -}}
		<main class="docs-content col-lg-11 col-xl-9">
		{{ end -}}
			{{ if .Site.Params.options.breadCrumb -}}
				<!-- https://discourse.gohugo.io/t/breadcrumb-navigation-for-highly-nested-content/27359/6 -->
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb">
						{{ partial "main/breadcrumb" . -}}
						<li class="breadcrumb-item active" aria-current="page">{{ .Title }}</li>
					</ol>
				</nav>
			{{ end }}
			{{ if isset .Params "page_title" }}
			<h1>{{ .Params.Page_title }}</h1>
		{{ else }}
		<h1>{{ .Title }}</h1>
		{{ end }}
			


			<p class="lead">{{ .Params.lead | safeHTML }}</p>
			{{ if ne .Params.toc false -}}
			<nav class="d-xl-none" aria-label="Quaternary navigation">
				{{ partial "sidebar/docs-toc.html" . }}
			</nav>
			{{ end -}}
			{{ .Content }}
			<div class="page-footer-meta d-flex flex-column flex-md-row justify-content-between">
				{{ if .Site.Params.lastMod -}}
					{{ partial "main/last-modified.html" . }}
				{{ end -}}
				{{ if .Site.Params.editPage -}}
					{{ partial "main/edit-page.html" . }}
				{{ end -}}
			</div>
			{{ partial "main/docs-navigation.html" . }}
			<!--
			{{ if not .Site.Params.options.collapsibleSidebar -}}
				{{ partial "main/docs-navigation.html" . }}
			{{ else -}}
				<div class="my-n3"></div>
			{{ end -}}
			-->
		</main>
	</div>
{{ end }}
